Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.compiere.report
Class ReportStarter.JasperData

    java.lang.Object
      org.compiere.report.ReportStarter.JasperData

Enclosing class:
  ReportStarter

class ReportStarter.JasperData
extends java.lang.Object

Field Summary
`private java.io.File` | `jasperFile`
`private java.lang.String` | `jasperName`
`private net.sf.jasperreports.engine.JasperReport` | `jasperReport`
`private java.io.File` | `reportDir`

Constructor Summary
`ReportStarter.JasperData(net.sf.jasperreports.engine.JasperReport jasperReport, java.io.File reportDir, java.lang.String jasperName, java.io.File jasperFile)`

Method Summary
`java.io.File` | `getJasperFile()`
`java.lang.String` | `getJasperName()`
`net.sf.jasperreports.engine.JasperReport` | `getJasperReport()`
`java.io.File` | `getReportDir()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jasperReport

    private net.sf.jasperreports.engine.JasperReport jasperReport

### reportDir

    private java.io.File reportDir

### jasperName

    private java.lang.String jasperName

### jasperFile

    private java.io.File jasperFile

Constructor Detail

### ReportStarter.JasperData

    public ReportStarter.JasperData(net.sf.jasperreports.engine.JasperReport jasperReport,
                                    java.io.File reportDir,
                                    java.lang.String jasperName,
                                    java.io.File jasperFile)

Method Detail

### getJasperReport

    public net.sf.jasperreports.engine.JasperReport getJasperReport()

### getReportDir

    public java.io.File getReportDir()

### getJasperName

    public java.lang.String getJasperName()

### getJasperFile

    public java.io.File getJasperFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD